#include <stdio.h>
#include <unistd.h>
#include <signal.h>
#include <dirent.h>
#include <stdlib.h>
#include <strings.h>
#include <ctype.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/time.h>
#include <pwd.h>

/*
 Note on refreshing:
 If you choose to use ALWAYS_REFRESH, don't redirect output to
 a log file, as it prints directory data on each refresh (maybe
 a pipe to diff or something would be ok though).  ALWAYS_REFRESH
 is more of a debug option though, as it's cpu consuming.

 If you don't use ALWAYS_REFRESH, it outputs directory data
 each time there's a change in the number of files.
*/

/* always re-print directory data (otherwise it justs
   displays when there's a change in the number of element) */
#undef ALWAYS_REFRESH

/* beep at each header print (should not use it with
   ALWAYS_REFRESH), heh */
#define HEADER_BEEP

/* stat() and getpwuid() each individual file */
#define OPT_STAT

/* print file sizes */
#define OPT_SIZE

/* default waiting intervals */
#define DEFAULT_SEC 0
#define DEFAULT_USEC 50000

/* default dir if no -d option specified */
#define DEFAULT_DIR "/tmp/"

/* location of `clear' or `clr' (for -c) */
#define CLEAR_LOC "clear"

#define VERSION "tmp-audit v.0.3 by airportman@poc.csoft.net"
#define USAGE "
usage: %s [options]
  -h         command-line help
  -v         print version
  -l         don't print header line each change
  -c         clear screen each change
  -d [dir]   directory to check in
  -s [sec]   seconds interval (default is %d)
  -t [usec]  microseconds interval (default is %d)
  -x [str]   execute command on each 
"

void dosettimer();
void dorep(char* name);
void doscan();
